Error by loading the simulator (crash)

Q&A forum. Please write all articles in english. Warning: you might get faster responses when writing in geman in one of the german forums.

Moderatoren: Stellwerk-Admin, Moderatoren

Antworten
mcgiwer
Beiträge: 8
Registriert: Fr Nov 16, 2012 4:02 pm

Error by loading the simulator (crash)

Beitrag von mcgiwer »

Hey. While starting, I got a following error output while start:

Code: Alles auswählen

WARNING: package sun.applet not in java.desktop
WARNING: package com.sun.net.ssl.internal.ssl not in java.base
WARNING: A command line option has enabled the Security Manager
WARNING: The Security Manager is deprecated and will be removed in a future release
WARNING: A terminally deprecated method in java.lang.System has been called
WARNING: System::setSecurityManager has been called by net.sourceforge.jnlp.runtime.JNLPRuntime
WARNING: Please consider reporting this to the maintainers of net.sourceforge.jnlp.runtime.JNLPRuntime
WARNING: System::setSecurityManager will be removed in a future release
Unable to use Firefox's proxy settings. Using "DIRECT" as proxy type.
Warning - your JRE - 17.0.10 - does not match requested JRE - 1.8.0*
Warning - your JRE - 17.0.10 - does not match requested JRE - 1.8.0*
Warning - your JRE - 17.0.10 - does not match requested JRE - 1.8.0*
Warning - your JRE - 17.0.10 - does not match requested JRE - 1.8.0*
WARNING: package sun.applet not in java.desktop
WARNING: package com.sun.net.ssl.internal.ssl not in java.base
WARNING: A command line option has enabled the Security Manager
WARNING: The Security Manager is deprecated and will be removed in a future release
WARNING: A terminally deprecated method in java.lang.System has been called
WARNING: System::setSecurityManager has been called by net.sourceforge.jnlp.runtime.JNLPRuntime
WARNING: Please consider reporting this to the maintainers of net.sourceforge.jnlp.runtime.JNLPRuntime
WARNING: System::setSecurityManager will be removed in a future release
Unable to use Firefox's proxy settings. Using "DIRECT" as proxy type.
Warning - your JRE - 17.0.10 - does not match requested JRE - 1.8.0*
Warning - your JRE - 17.0.10 - does not match requested JRE - 1.8.0*
Warning - your JRE - 17.0.10 - does not match requested JRE - 1.8.0*
Warning - your JRE - 17.0.10 - does not match requested JRE - 1.8.0*
Codebase matches codebase manifest attribute, and application is signed. Continuing. See: http://docs.oracle.com/javase/7/docs/technotes/guides/jweb/security/no_redeploy.html for details.
Starting application [js.java.schaltungen.stsmain] ...
Mar 24, 2024 8:58:36 AM js.java.schaltungen.stsmain start
WARNING: Ohne einen Fehler ist eine Warnung nur eine Warnung und unkritisch.
Mar 24, 2024 8:58:36 AM js.java.schaltungen.stsmain start
INFO: Ohne einen Fehler ist eine Information nur eine Information und unkritisch.

Build: 5851
netx: Launch Error: Could not launch JNLP file. ( ( (javax/xml/ws/Service (javax.xml.ws.Service))))
net.sourceforge.jnlp.LaunchException: Fatal: Launch Error: Could not launch JNLP file. The application has not been initialized, for more information execute javaws/browser from the command line and send a bug report.
	at java.desktop/net.sourceforge.jnlp.Launcher.launchApplication(Launcher.java:583)
	at java.desktop/net.sourceforge.jnlp.Launcher$TgThread.run(Launcher.java:946)
Caused by: java.lang.reflect.InvocationTargetException
	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)
	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.base/java.lang.reflect.Method.invoke(Method.java:568)
	at java.desktop/net.sourceforge.jnlp.Launcher.launchApplication(Launcher.java:577)
	... 1 more
Caused by: java.lang.reflect.InvocationTargetException
	at java.desktop/java.awt.EventQueue.invokeAndWait(EventQueue.java:1371)
	at java.desktop/java.awt.EventQueue.invokeAndWait(EventQueue.java:1346)
	at java.desktop/javax.swing.SwingUtilities.invokeAndWait(SwingUtilities.java:1480)
	at js.java.schaltungen.stsmain.main(stsmain.java:121)
	... 6 more
Caused by: java.lang.NoClassDefFoundError: javax/xml/ws/Service
	at java.base/java.lang.ClassLoader.defineClass1(Native Method)
	at java.base/java.lang.ClassLoader.defineClass(ClassLoader.java:1017)
	at java.base/java.security.SecureClassLoader.defineClass(SecureClassLoader.java:150)
	at java.base/java.net.URLClassLoader.defineClass(URLClassLoader.java:524)
	at java.base/java.net.URLClassLoader$1.run(URLClassLoader.java:427)
	at java.base/java.net.URLClassLoader$1.run(URLClassLoader.java:421)
	at java.base/java.security.AccessController.doPrivileged(AccessController.java:712)
	at java.base/java.net.URLClassLoader.findClass(URLClassLoader.java:420)
	at java.desktop/net.sourceforge.jnlp.runtime.JNLPClassLoader.access$1701(JNLPClassLoader.java:104)
	at java.desktop/net.sourceforge.jnlp.runtime.JNLPClassLoader$5.run(JNLPClassLoader.java:1749)
	at java.desktop/net.sourceforge.jnlp.runtime.JNLPClassLoader$5.run(JNLPClassLoader.java:1746)
	at java.base/java.security.AccessController.doPrivileged(AccessController.java:712)
	at java.desktop/net.sourceforge.jnlp.runtime.JNLPClassLoader.findClass(JNLPClassLoader.java:1745)
	at java.desktop/net.sourceforge.jnlp.runtime.JNLPClassLoader.loadClassExt(JNLPClassLoader.java:1782)
	at java.desktop/net.sourceforge.jnlp.runtime.JNLPClassLoader.loadClass(JNLPClassLoader.java:1582)
	at js.java.soap.ServiceAccessor.<init>(ServiceAccessor.java:31)
	at js.java.schaltungen.webservice.WebServiceConnector.<init>(WebServiceConnector.java:26)
	at js.java.schaltungen.stsmain.verify(stsmain.java:302)
	at js.java.schaltungen.stsmain.start(stsmain.java:293)
	at js.java.schaltungen.stsmain.access$100(stsmain.java:80)
	at js.java.schaltungen.stsmain$1.run(stsmain.java:126)
	at java.desktop/java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:308)
	at java.desktop/java.awt.EventQueue.dispatchEventImpl(EventQueue.java:773)
	at java.desktop/java.awt.EventQueue$4.run(EventQueue.java:720)
	at java.desktop/java.awt.EventQueue$4.run(EventQueue.java:714)
	at java.base/java.security.AccessController.doPrivileged(AccessController.java:399)
	at java.base/java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:86)
	at java.desktop/java.awt.EventQueue.dispatchEvent(EventQueue.java:742)
	at java.desktop/java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:203)
	at java.desktop/java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:124)
	at java.desktop/java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:113)
	at java.desktop/java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:109)
	at java.desktop/java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:101)
	at java.desktop/java.awt.EventDispatchThread.run(EventDispatchThread.java:90)
Caused by: java.lang.ClassNotFoundException: javax.xml.ws.Service
	at java.desktop/net.sourceforge.jnlp.runtime.JNLPClassLoader.loadClass(JNLPClassLoader.java:1645)
	... 34 more
It seem that some one had forgotten to take into attention that Java will have newer versions then 1.8.

My suggestion:

Either to don't change the java version at all or make it possible to accept the version of 1.8.* and above (in case if some one uses other JRE then Oracle)
mcgiwer
Beiträge: 8
Registriert: Fr Nov 16, 2012 4:02 pm

Re: Error by loading the simulator (crash)

Beitrag von mcgiwer »

Sorry, there is a typo in suggestion. Instead of

Code: Alles auswählen

Either to don't change the java version 
should be:

Code: Alles auswählen

Either to don't check the java version 
DevonFrosch
EntwicklerHandbuch-TeamR-Admin [Bremen-Niedersachsen, Fernverkehr Niederlande, Hamburg - Schleswig-Holstein, Niederlande Ost, Rhein-Main, Rhein-Main 2024, Rheinland-Pfalz, Ruhrgebiet, Zug-Schattenregion]Fernverkehr-Team [NL, SKA]Qualitätssicherung [Anlagen-QS, Zug-QS]Erbauer
Beiträge: 7667
Registriert: Fr Jan 16, 2009 11:15 am
StiTz: 709215

Re: Error by loading the simulator (crash)

Beitrag von DevonFrosch »

Hi,

the warning is just there to point you to why it's probably not working. Java removed some functionality off Java WebStart (ws) that STS uses to start the game and setup the necessary connections. It's also not that trivial to "just fix it", otherwise we would already have done it. So, sorry to say it, but either you see if you can install Java 8 (at least parallel) or you'll have trouble starting STS.

Greetings,
DevonFrosch
Querschnittskompetenzträger
Projektübersicht
mcgiwer
Beiträge: 8
Registriert: Fr Nov 16, 2012 4:02 pm

Re: Error by loading the simulator (crash)

Beitrag von mcgiwer »

According tothe error, it seem like either the code forces to use a specific JRE, without accepting other ones, or some one had forgotten that there will be new relases of Java
mcgiwer
Beiträge: 8
Registriert: Fr Nov 16, 2012 4:02 pm

Re: Error by loading the simulator (crash)

Beitrag von mcgiwer »

DevonFrosch hat geschrieben: So Mär 24, 2024 8:07 pm Hi,

the warning is just there to point you to why it's probably not working. Java removed some functionality off Java WebStart (ws) that STS uses to start the game and setup the necessary connections. It's also not that trivial to "just fix it", otherwise we would already have done it. So, sorry to say it, but either you see if you can install Java 8 (at least parallel) or you'll have trouble starting STS.

Greetings,
DevonFrosch
On Debian based Linux, default the given JRE is not avaliable, but it provides OpenJDK instead.

As for the recieved error message, the problem seem to lie in a hardcoded version string, with seem to cause the issue.

If I may propose, try to remove the verification of the JRE and it's version.

I think that would solve the issue 😜
Antworten